Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security
Interface RefreshUserMappingsProtocol

All Superinterfaces:
  VersionedProtocol

All Known Implementing Classes:
  JobTracker

    public interface RefreshUserMappingsProtocol

extends VersionedProtocol

Protocol use

Field Summary
`static long` | `versionID` Version 1: Initial version.

Method Summary
`void` | `refreshSuperUserGroupsConfiguration()` Refresh superuser proxy group list
`void` | `refreshUserToGroupsMappings()` Refresh user to group mappings.

Methods inherited from interface org.apache.hadoop.ipc.VersionedProtocol
`getProtocolVersion`

Field Detail

### versionID

    static final long versionID

  Version 1: Initial version.

  See Also:
    Constant Field Values

Method Detail

### refreshUserToGroupsMappings

    void refreshUserToGroupsMappings()
                                     throws IOException

  Refresh user to group mappings.

  Throws:
    `IOException`

### refreshSuperUserGroupsConfiguration

    void refreshSuperUserGroupsConfiguration()
                                             throws IOException

  Refresh superuser proxy group list

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation